﻿
.features-main-hero {
    position: relative;
    background-image: url('/assets/img/cta_background.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    box-shadow: 0px 3px 40px #000;
}

    .features-main-hero::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: linear-gradient(90deg, var(--background-color) 60%, transparent);
        pointer-events: none;
        z-index: 1;
    }


    /*  .features-main-hero .features-content {
        position: absolute;
    }*/

    .features-main-hero .features-content {
        position: relative;
        padding-top: 40px;
        padding-bottom: 20px;
        z-index: 2;
    }


        .features-main-hero .features-content h1 {
            font-size: 150px;
            font-weight: 400;
            background: linear-gradient( var(--accent-color) 10%, #000 90%);
            -webkit-background-clip: text;
            background-clip: text;
            color: transparent;
        }

        .features-main-hero .features-content p {
            margin-left: 8px;
            color: #656565;
            font-size: 18px;
        }


@media (max-width: 480px) {
    .features-main-hero {
        padding-top: 100px;
        padding-bottom: 60px;
    }
    .features-main-hero .features-content h1 {
        font-size: 70px;
    }
    .features-main-hero .features-content {
     
        padding-top: 20px;
        padding-bottom: 20px;

    }

    }
    /*--------------------------------------------------------------
# Features Set One  Section
--------------------------------------------------------------*/
    .features-set-one {
        padding-top: 120px;
    }

        .features-set-one .features-set-heading {
            padding: 20px 60px;
            max-width: 700px;
            background: linear-gradient(90deg, var(--accent-color) -10%, var(--background-color) 25%);
            border-radius: 0px 20px 20px 0px;
            box-shadow: 0px 0px 40px #000;
        }

            .features-set-one .features-set-heading p {
                padding-left: 150px;
                font-weight: 100;
            }

        .features-set-one .feature-items {
            margin-top: 80px;
        }


        .features-set-one .feature-item-container .abstract-image {
            width: 100%;
            max-width: 330px;
        }

        .features-set-one .feature-item {
            padding: 50px 30px 40px 30px;
            background: linear-gradient(145deg, #222222, var(--background-color) 40%);
            border-radius: 30px;
            transition: all 0.4s ease-in-out;
            height: 100%;
            display: flex;
            flex-direction: column;
            position: relative;
            overflow: hidden;
            justify-content: center;
            align-items: center;
            text-align: center;
            box-shadow: 10px 3px 40px #000;
        }

        .features-set-one .feature-item-container {
            margin-bottom: 30px;
        }

        .features-set-one .feature-item:hover {
            transform: translateY(-8px);
            box-shadow: 10px 10px 40px color-mix(in srgb, #000, transparent 20%);
        }

            .features-set-one .feature-item:hover::before {
                transform: scaleX(1);
            }

            .features-set-one .feature-item:hover .feature-icon {
                transform: scale(1.1);
                transition: all 0.4s ease-in-out;
            }

        .features-set-one .feature-icon {
            position: relative;
            margin-bottom: 40px;
            display: flex;
            justify-content: center;
        }


        .features-set-one .feature-item .gradient-icon {
            display: block;
            width: 80px;
        }

        .features-set-one .feature-item .item-icon {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            /* Adjust size as needed */
            width: 50%;
            height: auto;
        }

        .features-set-one .feature-item .enlarge-icon {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            /* Adjust size as needed */
            width: 60%;
            height: auto;
        }

        .features-set-one .feature-item h3 {
            font-size: 18px;
            font-weight: 600;
            margin-bottom: 10px;
            color: #B5B5B5 !important;
        }

        .features-set-one .feature-item p {
            font-size: 16px;
            line-height: 1.7;
            color: #919191;
            flex-grow: 1;
        }


    @media (max-width: 768px) {
        .features-set-one .feature-item {
            padding: 40px 24px;
        }

            .features-set-one .feature-item .feature-icon {
                width: 64px;
                height: 64px;
                margin-bottom: 24px;
            }

                .features-set-one .feature-item .feature-icon i {
                    font-size: 28px;
                }

            .features-set-one .feature-item h3 {
                font-size: 20px;
                margin-bottom: 16px;
            }

            .features-set-one.feature-item p {
                font-size: 15px;
                margin-bottom: 24px;
            }
    }

    @media (max-width: 480px) {
        .features-set-one {
            padding-top: 60px;
            padding-bottom: 30px;
        }

            .features-set-one .feature-item-container .abstract-image {
                width: 100%;
                max-width: 200px;
            }

            .features-set-one .features-set-heading {
                padding: 20px 20px;
                max-width: 300px;
            }

                .features-set-one .features-set-heading p {
                    padding-left: 60px;
                    font-weight: 100;
                }
            .features-set-one .feature-items {
                margin-top: 30px;
            }
    }

    /*--------------------------------------------------------------
# Features Set Two  Section
--------------------------------------------------------------*/
    .features-set-two {
        padding-top: 0px;
    }

        .features-set-two .features-set-heading {
            margin-left: auto;
            padding: 20px 60px;
            max-width: 700px;
            background: linear-gradient(270deg, var(--accent-color) -10%, var(--background-color) 25%);
            border-radius: 20px 0px 0px 20px;
            box-shadow: 0px 0px 40px #000;
        }

            .features-set-two .features-set-heading p {
                padding-right: 150px;
                font-weight: 100;
                text-align: right;
            }

        .features-set-two .feature-items {
            margin-top: 80px;
        }

        .features-set-two .feature-item {
            width: 500px;
        }


        .features-set-two .feature-item-container .abstract-image {
            width: 100%;
            max-width: 330px;
        }


        .features-set-two .feature-item-container #ring-fenced-icon {
            width: 100%;
            max-width: 190px;
        }



        .features-set-two .feature-item {
            display: flex;
            padding: 100px 50px 50px 50px;
            background-color: var(--background-color);
            border-radius: 30px;
            transition: all 0.4s ease-in-out;
            height: 100%;
            flex-direction: column;
            position: relative;
            overflow: hidden;
            box-shadow: 10px 3px 40px #000;
        }

    .feature-item-container {
        margin-bottom: 30px;
    }

    .features-set-two .feature-item:hover {
        transform: translateY(-8px);
        box-shadow: 10px 10px 40px color-mix(in srgb, #000, transparent 20%);
    }

        .features-set-two .feature-item:hover::before {
            transform: scaleX(1);
        }

        .features-set-two .feature-item:hover .feature-icon {
            transform: scale(1.1);
            transition: all 0.4s ease-in-out;
        }

    .features-set-two .feature-icon {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 40px;
        height: 60px;
    }


    .features-set-two .feature-item .item-icon {
        width: 100%;
        max-width: 90px;
    }

    .features-set-two .feature-item .enlarge-icon {
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        /* Adjust size as needed */
        width: 60%;
        height: auto;
    }

    .features-set-two .feature-item h3 {
        font-size: 18px;
        font-weight: 600;
        margin-top: 30px;
        margin-bottom: 10px;
        color: #B5B5B5 !important;
        text-align: left !important;
    }

    .features-set-two .feature-item p {
        font-size: 16px;
        line-height: 1.7;
        color: #919191;
        flex-grow: 1;
    }

    @media (max-width: 768px) {
        .features-set-two .feature-item {
            padding: 40px 24px;
        }

            .features-set-two .feature-item .feature-icon {
                width: 64px;
                height: 64px;
                margin-bottom: 24px;
            }

                .features-set-two .feature-item .feature-icon i {
                    font-size: 28px;
                }

            .features-set-two .feature-item h3 {
                font-size: 20px;
                margin-bottom: 16px;
            }

            .features-set-two.feature-item p {
                font-size: 15px;
                margin-bottom: 24px;
            }
    }

    @media (max-width: 480px) {
        .features-set-two {
            padding-bottom: 30px;
        }
        .features-set-two .features-set-heading {
            padding: 20px 20px;
            max-width: 300px;
        }

            .features-set-two .features-set-heading p {
                padding-right: 60px;
                font-weight: 100;
            }
            .features-set-two .feature-item {
                width: 400px;
            }



    }
    /*--------------------------------------------------------------
# Features Set Three  Section
--------------------------------------------------------------*/
    .features-set-three {
        padding-top: 0px;
    }

        .features-set-three .features-set-heading {
            padding: 20px 60px;
            max-width: 700px;
            background: linear-gradient(90deg, var(--accent-color) -10%, var(--background-color) 25%);
            border-radius: 0px 20px 20px 0px;
            box-shadow: 0px 0px 40px #000;
        }

            .features-set-three .features-set-heading p {
                padding-left: 150px;
                font-weight: 100;
            }

    .features-set-three {
        background-image: url('/assets/img/features/abstract_background_image.png');
        background-size: contain;
        background-position: center;
        background-repeat: no-repeat;
        background-size: 100% auto;
    }

        .features-set-three .layout {
            display: flex;
            align-items: center;
            justify-content: space-between;
            gap: 30px;
            flex-wrap: wrap;
            margin-top: 80px;
        }

        /* Left cards section */
        .features-set-three .cards-left {
            flex: 1;
            display: flex;
            flex-direction: column;
            gap: 20px;
        }

        /* Right cards section */
        .features-set-three .cards-right {
            flex: 1;
            display: flex;
            flex-direction: column;
            gap: 20px;
        }

        /* Individual card styling */
        .features-set-three .card {
            background: linear-gradient(145deg, #222222, var(--background-color) 40%);
            border-radius: 15px;
            padding: 40px 40px 25px 40px;
            box-shadow: 30px 30px 60px #000;
            transition: transform 0.4s ease;
            cursor: pointer;
        }

            .features-set-three .card:hover {
                transform: translateY(-8px);
            }

            .features-set-three .card h3 {
                color: #B5B5B5;
                margin-bottom: 10px;
                font-size: 1.3rem;
            }

            .features-set-three .card p {
                color: #919191;
                line-height: 1.5;
                font-size: 0.95rem;
            }

        .features-set-three .card-icon {
            position: relative;
            margin-bottom: 40px;
            display: flex;
            justify-content: center;
        }

            .features-set-three .card-icon:hover {
                transform: scale(1.1);
                transition: all 0.4s ease-in-out;
            }

        .features-set-three .card .gradient-icon {
            display: block;
            width: 80px;
        }

        .features-set-three .card .item-icon {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            /* Adjust size as needed */
            width: 40px;
            height: auto;
        }

        .features-set-three .card .enlarge-icon {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            /* Adjust size as needed */
            width: 60%;
            height: auto;
        }


        /* Center image section */
        /*  Dave half image   */
        /*.center-image {
    flex-shrink: 0;
    position: relative;
}

    .center-image img {
        width: 300px;
        height: 300px;
        border-radius: 50%;
        object-fit: cover;
        box-shadow: 0 20px 40px rgba(0, 0, 0, 0.3);
        border: 5px solid white;
        transition: transform 0.3s ease;
    }

        .center-image img:hover {
            transform: scale(1.05);
        }

    /* Optional: Add a circular glow behind image */
        /*  .center-image::before {
        content: '';
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 320px;
        height: 320px;
        background: radial-gradient(circle, rgba(255,255,255,0.3), transparent);
        border-radius: 50%;
        z-index: -1;
    }

/* Center image section */
        /*  Dave full image   */

        .features-set-three .dave-feature-container {
            display: flex;
            justify-content: center;
            flex-shrink: 0;
        }

        .features-set-three .dave-feature-container img {
            width: 270px;
            transition: transform 0.3s ease;
            animation: float1 5s ease-in-out infinite;
        }


    @keyframes pulse {

        0%, 100% {
            transform: scale(1);
            opacity: 0.7;
        }

        50% {
            transform: scale(1.1);
            opacity: 0.4;
        }
    }

    @keyframes float1 {

        0%, 100% {
            transform: translateY(0);
        }

        50% {
            transform: translateY(-12px);
        }
    }

    /* Responsive design */
    @media (max-width: 968px) {
        .features-set-three.layout {
            flex-direction: column;
        }

        .cards-left, .cards-right {
            width: 100%;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: center;
        }

        .features-set-three .card {
            flex: 1;
            min-width: 200px;
        }

        .features-set-three .center-image img {
            width: 200px;
            height: 200px;
        }

        .features-set-three .center-image::before {
            width: 220px;
            height: 220px;
        }
    }

    @media (max-width: 480px) {
        .features-set-three {
            padding-bottom: 30px;
        }

        .card {
            min-width: 100%;
        }

        .features-set-three .dave-feature-container {
            width: 100%;
            text-align: center;
            display: flex;
            justify-content: center;
        }

            .features-set-three .dave-feature-container img {
                display: block;
                margin: 0 auto;
                width: 100%;
                max-width: 200px;
            }

        .features-set-three .ai-image-feature {
          
            width: 100%;
            max-width: 200px;
        }
        .features-set-three .features-set-heading {
            padding: 20px 20px;
            max-width: 300px;
        }

            .features-set-three .features-set-heading p {
                padding-left: 60px;
                font-weight: 100;
            }
     
    }


    /* Animation for cards */
    /*@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateX(20px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

.cards-left .card {
    animation: fadeIn 0.5s ease-out forwards;
}

    .cards-left .card:nth-child(1) {
        animation-delay: 0.1s;
    }

    .cards-left .card:nth-child(2) {
        animation-delay: 0.3s;
    }

.cards-right .card {
    animation: fadeIn 0.5s ease-out forwards;
}

    .cards-right .card:nth-child(1) {
        animation-delay: 0.2s;
    }

    .cards-right .card:nth-child(2) {
        animation-delay: 0.4s;
    }*/



    /*--------------------------------------------------------------
# Features CTA Section
--------------------------------------------------------------*/


    .features-cta-section {
        position: relative;
        margin-top: 40px;
        margin-bottom: 100px;
        background-image: url("../img/cta_background.png");
        background-clip: content-box !important;
    }

        .features-cta-section .cta-container {
            display: flex;
            justify-content: center;
            align-items: center;
            text-align: center;
            padding: 150px 60px;
        }

        .features-cta-section img {
        }

        .features-cta-section .cta-container .cta-content {
            position: relative;
            z-index: 2;
        }

            .features-cta-section .cta-container .cta-content p {
                padding: 0 300px;
                color: #9B9B9B
            }

            .features-cta-section .cta-container .cta-content h3 {
                color: #C9C9C9;
                margin: 0;
                font-size: 30px;
                font-weight: 100;
            }


        .features-cta-section .cta-content .standard-button {
            margin-top: 30px;
        }

    @media (max-width: 480px) {
        .features-cta-section .cta-container .cta-content p {
            padding: 0 0px;
        }

        .features-cta-section .cta-container {
            padding: 60px 60px;
        }
    }